> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Get user profile.



## OpenAPI

````yaml /spec/oas.yaml get /locations/{location_id}/users/{user_id}
openapi: 3.0.3
info:
  title: CRO Software API
  version: 2.x
  description: >-
    REST API for the CRO Software waste management and logistics platform.
    Authenticate via OAuth2 (client_credentials or authorization_code). All
    requests require a Bearer token and an X-Tenant-Id header.
servers:
  - url: https://api.crosoftware.com/v0
    description: Production
security: []
paths:
  /locations/{location_id}/users/{user_id}:
    get:
      tags:
        - Users
      summary: Get User
      description: Get user profile.
      operationId: users_get_user
      parameters:
        - name: location_id
          in: path
          required: true
          schema:
            type: integer
            format: int64
            description: Location identifier.
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            description: User identifier.
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            description: Version identifier (date format).
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: integer
            format: int64
            description: >-
              Tenant identifier. Contact [CRO
              Software](https://crosoftwaresolutions.com/) for more info if you
              don't already have this id. See [list tenant
              ids](/docs/requests/tenants_list_tenants) for info on listing the
              tenants you have access to.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserModel'
      security:
        - oauth2:
            - api
components:
  schemas:
    UserModel:
      type: object
      description: User info.
      properties:
        dispatcher_id:
          type: integer
          format: int64
          description: Resource identifier.
        driver_id:
          type: string
          description: Driver identifier.
        id:
          type: string
          description: User identifier.
        roles:
          $ref: '#/components/schemas/roleArray'
        third_party_hauler_id:
          type: string
          format: uuid
          description: Third party hauler identifier.
        uid:
          type: string
          format: uuid
          description: Identity UUID.
        username:
          type: string
          description: Username.
      required:
        - dispatcher_id
        - driver_id
        - id
        - roles
        - third_party_hauler_id
        - uid
        - username
    roleArray:
      type: array
      items:
        type: string
        description: User role.
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management
        authorizationCode:
          authorizationUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/auth
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management

````